cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

MP Navigator X and macOS Mojave

tobiaspandey
Apprentice

My father has a canon scanner Lide 110 that uses MP Navigator X.

That software does not longer work with macOS Mojave, it wont even start. That sucks.

Does anyone know of a good scanning software that works with Lide 110?

Preferably software that detects multiple photos and saves them individually as jpegs.

thanks.

1 ACCEPTED SOLUTION

robp
Apprentice

Here's something you can try..

 

Keep your MP Navigator 3.1 installed (for now)

 

Install the MP Navigator 4 from the link canon asia link above

 

go to Applications/Canon Utilities

 

Right click on MP Navigator 4 and select "Show Package Contents"

Navigate to Contents > Plugins > Database

You will see a bunch of .plist files -- these correspond to the scanners that the asia 4.0 version of the app supports

 

Right click on MP Navigator 3.1 and select "Show Package Contents"

Navigate to Contents > Plugins > Database

You will see a bunch of .plist files -- these correspond to the scanners that the us 3.1 version of the app supports

 

Copy the files from the 3.1 database folder to the 4.0 database folder

 

Now when you start MP Naviagor 4 it will launch correctly and find your scanner.

 

I have not analyzed the contents of these plist files so I'm not 100% sure if this will work, but the contents of the files in the 3.1 version look pretty similar to the ones provided in the 4.0 version.

View solution in original post

69 REPLIES 69

I have a Scanner 9000F and used to digitize my olds pictures. Now with Mojave MP Navegator is not working. I use IJ Scan Utility Lite to scan but I can't film scanning.

Canon adviser, the answer is buy a new one? or we are working to up date MP Navegator program?

Please I need an answer

Youre the Canon product expert.....I have spent an enormous amount of time scouring sites and comment boards to find a solution to this problem with no success. The Cano LiDE version doesnt work properly. I have called Canon and they refuse to even provide a human to discuss support. They have simply left their customers out in the cold. Seriously......UPDATE YOUR **bleep** PRODUCTS. At this time I have a large brick sitting on my desk with absolutely no viable solution. The least they couldve done is warn their customers. So, im forced to trash the unit and purchase a new one from a more reliable and dependable manufactuer. Thanks for nothing Canon.

There is no version of Navigator that works with Mojave. It is possible to operate the scanner with Mac's system preferences/ printer,scanner. But without editing capability. High Sierra versions do not work. Has Canon abandoned Mac users? Should Apple users look for a different brand of AIO printers?

bill18900,

Can you explain how you got the scanner to work with Mojave please ? I have gone to Preferences but could find nothing to help.

Thanks

open "system preference"s, click "printer/scanner" icon, click "scan" button (you should see your scanner listed), click "open scanner." Your scanner should warm up and give you an image with some options for size,color, resolution and location to put the file. There are no editing options. 

Wonderful ! The MG5350 was only showing as a printer - I added it again as a Scanner and it worked perfectly.

Many thanks.

jmitchell
Apprentice

I am having a similar issue. I have a MacBook Pro running macOS Mojave 10.14, and I cannot get the latest version of MP Navigator EX 5.0 to work. What is the solution? Is there another version of MP Navigator EX coming that will be compatible with Mojave 10.14? I am trying to use MP Navigator to scan from my Pixma MX870.

From the Mac system report / applications -- MP Navigator EX 2.1.5 that I have -- which was updated in 2017 -- is still a 32bit applicaiton. 
32 bit apps will work in ver 10.13 - High sierra -- the OS will run both 32 bit and 64 bit apps.  So does the older versions upto 10.8 or 10.9.

 

From MacOs Mojave -- Only full 64-bit applications will work ---

so only wat to get the these MP Navigator apps to ccontinue to work is to avoid upgrading to Mojave -- or roll back and INSTALL an older version of the macOs.

 

It is not possible to return to a previous operating system for me. Why have you not upgraded the Navigator app to 64-bit? It has only been out for 6 months! My next printer will be from a company that updates its software. With this debacle, it is not possible for me to scan from my MG8220 to my Mac. What is it with you people???

I was wrong in my earlier posting.  According to Apple support site -- I read that MacOs Mojave will be their LAST VERSION of OS which will support 32 bit apps.

Hence, theorectically MP Navigator X 2.5.1 should work in Mojave also.  I am not sure of earlier versions of MP navigator.

Its a shame that while 32bit and 64bit versions are available for Windows, the same is not for MacOs despite the larger user base.

I am currently using High Sierra and version 2.5.1 works well. But am scared to upgrade to Mojave and have my LIDE 700F unusable after that upgrade !!

Avatar
click here to view the gallery
Announcements